# MatConvertRegister

Allows one to register a routine that converts a sparse matrix from one format to another.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatConvertRegister(const char sname[],const char path[],const char name[],PetscErrorCode (*function)(Mat,MatType,Mat*))

Not Collective

### Input Parameters

| type | - the type of matrix (defined in include/petscmat.h), for example, MATSEQAIJ.
| Converter | - the function that reads the matrix from the binary file.

### See Also

MatConvertRegisterAll(), MatConvert()

Level:developer
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages